int main()
{
   string A, B, C;
   cin>> A, B, C;


   string maks= A+B+C;
   if(maks<A+C+B)
    {
        maks=A+C+B;
    }
    if(maks<B+A+C)
    {
        maks=B+A+C;
    }
        if(maks<B+C+A)
        {
          maks=B+C+A ;
        }
        if(maks<C+A+B)
        {
            maks=C+A+B;
        }
        if(maks<C+B+A)
       {
           maks=C+B+A;
       }
       cout<<maks;
    return 0;
}